package com.mosty.rzzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.rzzx.TbRzDyjkInsertDto;
import com.mosty.base.model.dto.rzzx.TbRzDyjkUpdateDto;
import com.mosty.base.model.entity.rzzx.TbRzDyjk;
import com.mosty.base.model.query.rzzx.TbRzDyjkQueryDto;
import io.swagger.annotations.ApiOperation;

/**
 * @author dw
 * @since 2022/7/18
 * 接口调用日志--服务类
 **/
public interface TbRzDyjkService {

    @ApiOperation("接口调用日志接口新增")
    int insertEntity(TbRzDyjkInsertDto dto);

    @ApiOperation("接口调用日志接口修改-补充调用结束时间")
    int updateEntity(TbRzDyjkUpdateDto dto);

    @ApiOperation("接口调用日志详情")
    TbRzDyjk getInfo(String id);

    @ApiOperation("分页查询接口")
    IPage<TbRzDyjk> getList(TbRzDyjkQueryDto dto);
}
